import 'package:dart_psr/dart_psr.dart';

void main(List<String> arguments) => actionExample();

Future<void> actionExample() async {
  print('Action');
  var psr = ProtonSigningRequest('https://proton.eoscafeblock.com', 'v1',
      chainName: ChainName.PROTON);

  var auth = <Authorization>[
    Authorization.fromJson(ESRConstants.PlaceholderAuth)
  ];

  var data = <String, String>{'owner': 'otctest'};

  var action = Action()
    ..account = 'eosio'
    ..name = 'refund'
    ..authorization = auth
    ..data = data;

  var encoded = await psr.encodeAction(action);
  var decoded = psr.deserialize(encoded);

  print('encoded : ' + encoded);
  print('decoded : ' + decoded.toString());
}
