import 'package:dart_psr/dart_psr.dart';

void main(List<String> arguments) => actionsExample();

Future<void> actionsExample() async {
  print('Actions');
  var psr = ProtonSigningRequest('https://proton.eoscafeblock.com', 'v1',
      chainName: ChainName.PROTON);

  var auth = <Authorization>[
    Authorization.fromJson(ESRConstants.PlaceholderAuth)
  ];

  var data1 = <String, String>{'owner': 'otctest'};

  var action1 = Action()
    ..account = 'eosio'
    ..name = 'refund'
    ..authorization = auth
    ..data = data1;

  var data2 = <String, String>{'owner': 'otctest'};

  var action2 = Action()
    ..account = 'eosio'
    ..name = 'refund'
    ..authorization = auth
    ..data = data2;

  var actions = <Action>[action1, action2];

  var encoded = await psr.encodeActions(actions);
  var decoded = psr.deserialize(encoded);

  print('encoded : ' + encoded);
  print('decoded : ' + decoded.toString());
}
